/**
 * Copyright (C) 2006-2007  NTT DATA CORPORATION
 * 
 * Version: 1.0.0 2007/04/01
 *  
 */
package net.cellcomputing.himawari.accessory.primitive;

/**
 *
 * 参照渡しを実現するためだけに作成されたクラス
 * 
 * @author NTT DATA Corporation
 */
public strictfp class p_double {
	
    /**
     * double型の実体
     */
    public double value = 0.0f;
    //public double value ;
    
	/**
	 * コンストラクタ。デフォルト値は0
	 */
    public p_double(){
//        value = 0.0f;
    }
    
    /**
     * 初期値を与えるコンストラクタ
     * @param d 初期値
     */
    public p_double(double d){
        value = d;
    }

    /* (non-Javadoc)
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
    	return String.valueOf(value);
    }
}
